plpprintd(8)

NAME
plpprintd - Daemon for printing via PC from a Psion.

SYNOPSIS
plpprintd [-d] [-h] [-v] [-V] [-s spooldir] [-c print-cmd] [-p [host:]port] [long-options]

DESCRIPTION

plpprintd provides a print server for a Psion, connected to the PC. Using plpprintd, you can use the Psion's "Print via PC" feature to access any printer, available on your PC. When receiving a print job, the data is converted to Postscript® and then send to a printer.

OPTIONS

-d, --debug
    Enable additional debug messages and stay in foreground (do not fork).

-h, --help
    Display a short help text and exit.

-v, --verbose
    Increase verbosity

-V, --version
    Display the version and exit

-s, --spooldir=dir
    Specify a directory to use for temporary spool files. If this option is missing, a builtin default /var/spool/plpprint is used.

-c, --printcmd=cmd
    Specify a command for actually sending a print job to the printer. The specified command must receive the data from its standard input. If this option is missing, a builtin default lpr -Ppsion is used.

-p, --port=[host:]port
    Specify the host and port to connect to (e.g. The port where ncpd is listening on) - by default the host is 127.0.0.1 and the port is looked up in /etc/services. If it is not found there, a builtin value of 7501 is used.

FILES

/usr/share/plptools/prolog.ps
    contains the Postscript(®) dictionary, needed for printing the jobs.

/usr/share/plptools/fontmap
    specifies the font mapping to be used. This file is used to convert the Psion's font names into valid Postscript(®) font names. Its format is described at the beginning of it. If a Psion font name is received which can not be found in this file, a builtin default Courier is used.

BUGS
Using patterns in diagrams gives ugly results.

SEE ALSO
ncpd(8), plpfuse(8), plpftp(1), sisinstall(1)

AUTHOR
Fritz Elfert